claw::depth_scan< Graph, Events > Class Template Reference

This class performs a depth scan of a graph. All nodes are proceeded. More...

`#include <graph_algorithm.hpp>`

## Public Types

typedef Graph::vertex_type | vertex_type
typedef Graph::vertex_iterator | vertex_iterator
typedef std::map< vertex_type, int, typename Graph::vertex_compare > | coloration
| Colors are :

## Public Member Functions

| depth_scan (const Graph &g, Events &events)
void | operator() ()

## Detailed Description

template<class Graph, class Events = typename Graph::scan_events>
class claw::depth_scan< Graph, Events >

This class performs a depth scan of a graph. All nodes are proceeded.

Definition at line 116 of file graph_algorithm.hpp.

## Member Typedef Documentation

## coloration

template<class Graph, class Events = typename Graph::scan_events>

typedef std::map<vertex_type, int, typename Graph::vertex_compare> claw::depth_scan< Graph, Events >::coloration

Colors are :

- 0 : never seen.
- 1 : seen but not done.
- 2 : done.

Definition at line 128 of file graph_algorithm.hpp.

## vertex_iterator

template<class Graph, class Events = typename Graph::scan_events>

typedef Graph::vertex_iterator claw::depth_scan< Graph, Events >::vertex_iterator

Definition at line 120 of file graph_algorithm.hpp.

## vertex_type

template<class Graph, class Events = typename Graph::scan_events>

typedef Graph::vertex_type claw::depth_scan< Graph, Events >::vertex_type

Definition at line 119 of file graph_algorithm.hpp.

The documentation for this class was generated from the following file:

- graph_algorithm.hpp